{pkgs, ...}: {
  programs.git = {
    enable = true;
    delta = {
      enable = true;
      options = {
        side-by-side = true;
      };
    };
    userName = "George Kaklamanos";
    userEmail = "gkaklas@gkaklas.gr";
    extraConfig = {
      init.defaultBranch = "main";
      user.signingKey = "C0CAB8A6BDC9399D!";
      push.autoSetupRemote = true;
      delta.side-by-side = true;
    };
  };

  programs.atuin = {
    enable = true;
    enableFishIntegration = true;
    flags = ["--disable-up-arrow"];
    settings = {
      workspace = true;
      style = "compact";
      enter_accept = false;
    };
  };

  programs.zellij = {
    enable = true;
    enableFishIntegration = false;
  };

  programs.ripgrep.arguments = [
    "-."
    "--ignore-file /home/gkaklas/.config/ripgrep/ignore"
  ];
}
