{
  description = "Home Manager configuration of gkaklas";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    nix-flatpak.url = "github:gmodena/nix-flatpak";

    plasma-manager = {
      url = "github:pjones/plasma-manager";
      inputs.nixpkgs.follows = "nixpkgs";
      inputs.home-manager.follows = "home-manager";
    };
    nixvim.url = "github:nix-community/nixvim";
    nixvim.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = {
    nixpkgs,
    home-manager,
    plasma-manager,
    nix-flatpak,
    nixvim,
    ...
  }: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    homeConfigurations."gkaklas" = home-manager.lib.homeManagerConfiguration {
      inherit pkgs;
      modules = [
        ./home.nix
        ./config.nix
        ./packages.nix
        ./flatpak.nix
        nix-flatpak.homeManagerModules.nix-flatpak
        ./plasma/plasma.nix
        plasma-manager.homeManagerModules.plasma-manager

        nixvim.homeManagerModules.nixvim
        ./nixvim/nixvim.nix
      ];
    };
  };
}
