{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [./zellij.nix];

  home.file.".cargo/config.toml".text = ''
    [build]
    target-dir = "/mnt/build"
  '';

  home.file.".config/ripgrep/ignore".text = ''
    -.
  '';

  home.file.".config/containers/storage.conf".text = ''
    [storage]
    rootless_storage_path="/mnt/storage/.containers"
    driver="btrfs"
  '';

  home.file.".config/keepassxc/keepassxc.ini".text = ''
    [General]
    ConfigVersion=2
    MinimizeAfterUnlock=true
    OpenPreviousDatabasesOnStartup=false
    RememberLastDatabases=false
    RememberLastKeyFiles=false

    [Browser]
    Enabled=true

    [GUI]
    CompactMode=true
    MonospaceNotes=true

    [PasswordGenerator]
    AdditionalChars=
    AdvancedMode=true
    Dashes=false
    ExcludedChars=
    Length=64
    Logograms=true
    LowerCase=true
    Numbers=true
    Punctuation=false
    UpperCase=true

    [SSHAgent]
    Enabled=true

    [Security]
    IconDownloadFallback=true
    LockDatabaseScreenLock=false
  '';
}
