{pkgs, ...}: {
  programs.plasma = {
    enable = true;
    # overrideConfig = true;

    configFile = import ./configFile.nix;

    # Unfortunately I really need to configure the system tray and keyboard
    # shortcuts for its applets, so I have disabled the panel configuration
    # for now so it doesn't get reset
    # https://github.com/pjones/plasma-manager/issues/126
    # panels = import ./panels.nix;

    workspace = {
      clickItemTo = "select";
      lookAndFeel = "org.kde.breezedark.desktop";
      wallpaper = "${pkgs.libsForQt5.plasma-workspace-wallpapers}/share/wallpapers/MilkyWay/contents/images/1080x1920.png";
    };
    kwin.virtualDesktops = {
      rows = 1;
      number = 6;
      names = ["Web" "Main" "Comm" "Aux1" "Aux2" "Music"];
    };
    kwin.borderlessMaximizedWindows = true;
    kwin.nightLight = {
      enable = true;
      mode = "location";
      location.latitude = "37.9755648";
      location.longitude = "23.7348324";
    };

    shortcuts = {
      ksmserver = {
        "Lock Session" = ["Meta+L"];
      };

      kwin = {
        "Switch to Desktop 1" = "Ctrl+F1";
        "Switch to Desktop 2" = "Ctrl+F2";
        "Switch to Desktop 3" = "Ctrl+F3";
        "Switch to Desktop 4" = "Ctrl+F4";
        "Switch to Desktop 5" = "Ctrl+F5";
        "Switch to Desktop 6" = "Ctrl+F6";
        "Window Close" = "Meta+Q";
      };

      org_kde_powerdevil = {
        "Sleep" = ["Sleep" "Meta+Shift+S"];
      };
      "services/firefox-devedition.desktop"."_launch" = "Meta+F";
      "services/Alacritty.desktop"."_launch" = "Meta+Return";
    };
  };
}
