{pkgs, ...}: {
  programs.starship.enable = true;
  programs.starship.enableFishIntegration = true;

  programs.starship.settings = {
    battery.disabled = false;
    battery.charging_symbol = "⚡️ ";

    time = {
      disabled = false;
      format = "🕙[$time ]($style)";
      style = "bold #C51E3A"; # Cardinal red
    };

    hostname = {
      format = "[$hostname ]($style)";
      style = "bold #4CBB17"; # Kelly green
      ssh_only = false;
    };

    username = {
      format = "[$user@]($style)";
      style_user = "bold #AFDBF5"; # Uranian blue
      show_always = true;
    };

    git_branch = {
      symbol = "";
    };

    cmd_duration = {
      format = "[$duration ]($style)";
      show_notifications = true;
      style = "bold #E0115F"; # Ruby
    };

    python.format = "[$symbol$pyenv_prefix($version)(($virtualenv)) ]($style)";
    rust.format = "[$symbol($version) ]($style)";
    format = "$username$hostname$battery$time$jobs$git_branch$python$rust$cmd_duration$directory
:> ";
  };
}
