{
  config,
  pkgs,
  lib,
  ...
}: {
  home.file.".config/zellij/config.kdl".text = ''
    default_layout "main"
    session_serialization false
    keybinds {
      unbind "Ctrl p"
      unbind "Ctrl o"
      normal {
        bind "Ctrl w" { SwitchToMode "pane"; }
        bind "Ctrl '" { SwitchToMode "session"; }
      }
    }
  '';

  home.file.".config/zellij/layouts/main.kdl".text = ''
    layout {
      default_tab_template {
        pane size=1 borderless=true{
          plugin location="zellij:tab-bar"
        }
        pane split_direction="vertical"{
          children
        }
        pane size=1 borderless=true{
          plugin location="zellij:status-bar"
        }
      }
      tab name="main" focus=true{
        pane split_direction="vertical" {
          pane focus=true
          pane {
            pane command="htop"
            pane command="watch" {
    	  args "df" "-h"
    	}
            pane
          }
        }
      }
      tab name="HM" cwd="~/nix" {
        pane split_direction="vertical" {
          pane
          pane
        }
      }
    }
  '';
}
